Bug 244083 - gnome-screensaver fails to start
Summary: gnome-screensaver fails to start
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 17:58 UTC by David Cantrell
Modified: 2007-11-30 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 17:15:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Cantrell 2007-06-13 17:58:34 UTC
Happened in F-7 and now in rawhide.  The lock screen option from the system menu
doesn't do anything.  When I try to run gnome-screensaver from a shell, I get this:

$ gnome-screensaver

***MEMORY-WARNING***: gnome-screensaver[9864]: GSlice: g_thread_init() must be
called before all other GLib functions; memory corruption due to late invocation
of g_thread_init() has been detected; this program is likely to crash, leak or
unexpectedly abort soon...

** (gnome-screensaver:9864): WARNING **: screensaver already running in this session

Comment 1 Steve 2007-06-15 21:52:58 UTC
i can confirm this bug in rawhide.

gnome-screensaver-2.19.1.1-1.fc8

Comment 2 Jonathan Kamens 2007-06-18 01:22:27 UTC
The g_thread_init message shown above is because of the glib2 issues reported in
many other bugs.  However, even when I downgrade glib2 and gtk2 to the FC7
version and the g_thread_init issues goes away, gnome-screensaver still isn't
starting when I log in.  When I start it manually it works, but it doesn't show
up in the Sessions preferences app, either in the "Startup Programs" tab or the
"Current Session" tab, so GNOME doesn't know to restart it when I log out and
log back in.


Comment 3 Jonathan Kamens 2007-06-18 01:24:05 UTC
Upgrading severity.  It's a security issue for the screensaver and hence
automatic screen locking not to work properly.  Not quite bad enough to
categorize it as "urgent", I'd say, but certainly worse than "low".


Comment 4 David Cantrell 2007-06-29 16:43:35 UTC
As of today, this issue seems to have disappeared in rawhide.  gnome-screensaver
is working fine.  Can anyone else confirm using the latest rawhide updates?

Comment 5 Jonathan Kamens 2007-06-29 16:55:38 UTC
It seems to be working for me as well.


Comment 6 Steve 2007-06-29 17:52:38 UTC
same here...


Note You need to log in before you can comment on or make changes to this bug.